import request from '@/utils/request'

export function login(data: any) {
  return request.post('/login', data)
}

export function getUserInfo() {
  return request.get('/user')
}

// 用户列表
export function getUserList(data?: any) {
  return request.post('/sys/user/list', data)
}
// 新增用户
export function saveUser(data: any) {
  return request.post('/sys/user/save', data)
}
//删除用户
export function deleteUser(data: any) {
  return request.get('/sys/user/deleteAll', {
    params: data
  })
}
// 登录名查重
export function checkLoginName(data: any) {
  return request.get('/sys/user/checkLoginName', {
    params: data
  })
}
